Package org.acplt.oncrpc.server

# Class OncRpcServerAuthUnix

java.lang.Object
org.acplt.oncrpc.server.OncRpcServerAuthUnix

All Implemented Interfaces:
  `OncRpcServerAuth`

public final class OncRpcServerAuthUnix extends Object implements OncRpcServerAuth
The `OncRpcServerAuthNone` class handles all protocol issues of the ONC/RPC authentication `AUTH_UNIX` on the server side.

Version:
  $Revision: 1.1 $ $Date: 2003/08/13 12:03:51 $ $State: Exp $ $Locker: $
Author:
  Harald Albrecht

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`gid`
Contains the group ID of caller supplied through credential.
`int[]`
`gids`
Contains a set of group IDs the caller belongs to, as supplied through credential.
`String`
`machinename`
Contains the machine name of caller supplied through credential.
`int`
`stamp`
Contains timestamp as supplied through credential.
`int`
`uid`
Contains the user ID of caller supplied through credential.

## Constructor Summary

Constructors
Constructor
Description
`OncRpcServerAuthUnix()`

## Method Summary

Modifier and Type
Method
Description
`final int`
`getAuthenticationType()`
Returns the type (flavor) of `authentication` used.
`final byte[]`
`getShorthandVerifier()`
Returns the shorthand verifier to be sent back to the caller.
`final void`
`setShorthandVerifier(byte[] shorthandVerf)`
Sets shorthand verifier to be sent back to the caller.
`final void`
`xdrDecodeCredVerf(XdrDecodingStream xdr)`
Decodes -- that is: deserializes -- an ONC/RPC authentication object (credential & verifier) on the server side.
`final void`
`xdrEncodeVerf(XdrEncodingStream xdr)`
Encodes -- that is: serializes -- an ONC/RPC authentication object (its verifier) on the server side.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### stamp

public int stamp
Contains timestamp as supplied through credential.

### machinename

public String machinename
Contains the machine name of caller supplied through credential.

### uid

public int uid
Contains the user ID of caller supplied through credential.

### gid

public int gid
Contains the group ID of caller supplied through credential.

### gids

public int[] gids
Contains a set of group IDs the caller belongs to, as supplied through credential.

## Constructor Details

### OncRpcServerAuthUnix

public OncRpcServerAuthUnix()

## Method Details

### getAuthenticationType

public final int getAuthenticationType()
Returns the type (flavor) of `authentication` used.

Specified by:
  `getAuthenticationType` in interface `OncRpcServerAuth`
Returns:
  Authentication type used by this authentication object.

### setShorthandVerifier

public final void setShorthandVerifier(byte[] shorthandVerf)
Sets shorthand verifier to be sent back to the caller. The caller then can use this shorthand verifier as the new credential with the next ONC/RPC calls to speed up things up (hopefully).

Parameters:
  `shorthandVerf` - A byte array containing the shorthand verifier.

### getShorthandVerifier

public final byte[] getShorthandVerifier()
Returns the shorthand verifier to be sent back to the caller.

Returns:
  The byte array containing the shorthand verifier.

### xdrDecodeCredVerf

public final void xdrDecodeCredVerf(XdrDecodingStream xdr) throws OncRpcException, IOException
Decodes -- that is: deserializes -- an ONC/RPC authentication object (credential & verifier) on the server side.

Specified by:
  `xdrDecodeCredVerf` in interface `OncRpcServerAuth`
Parameters:
  `xdr` - An XDR decoding stream
Throws:
  `OncRpcException` - if an ONC/RPC error occurs.
  `IOException` - if an I/O error occurs.

### xdrEncodeVerf

public final void xdrEncodeVerf(XdrEncodingStream xdr) throws OncRpcException, IOException
Encodes -- that is: serializes -- an ONC/RPC authentication object (its verifier) on the server side.

Specified by:
  `xdrEncodeVerf` in interface `OncRpcServerAuth`
Parameters:
  `xdr` - An XDR encoding stream
Throws:
  `OncRpcException` - if an ONC/RPC error occurs.
  `IOException` - if an I/O error occurs.